Your provider keys
bring your own provider keys: upload, validate, rotate, delete
Authorization
bearer AuthorizationBearer <token>
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/byok"{ "object": "list", "data": [ { "id": "byok_01J8ZK", "provider_id": "anthropic", "label": "prod", "hint": "…9f2a", "status": "active", "fee_bps": 500, "fallback_to_pool": false, "created_at": "2026-09-10T08:00:00Z", "updated_at": "2026-09-10T08:00:00Z", "last_used_at": "2026-09-10T09:12:00Z" } ], "providers": [ { "id": "anthropic", "name": "Anthropic", "byok_capable": true, "byok_required": false, "in_catalog": true, "needs_url": false, "needs_account": false, "needs_region": false, "key_label": "API key", "docs": "https://platform.claude.com/docs/en/api/overview", "fee_bps": 500, "fee_source": "platform" }, { "id": "litellm", "name": "LiteLLM proxy", "byok_capable": true, "byok_required": true, "in_catalog": false, "needs_url": true, "needs_account": false, "needs_region": false, "url_example": "https://litellm.example.com", "key_label": "Virtual or master key", "docs": "https://docs.litellm.ai/docs/proxy/user_keys", "fee_bps": 300, "fee_source": "org_all" } ], "fee_bps": 300, "fee_source": "org_all", "default_fee_bps": 500}Authorization
bearer AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/byok" \ -H "Content-Type: application/json" \ -d '{ "provider_id": "anthropic", "secret": "sk-ant-api03-…", "label": "prod", "fallback_to_pool": false }'{ "key": { "id": "byok_01J8ZK", "provider_id": "anthropic", "label": "prod", "hint": "…9f2a", "status": "active", "fee_bps": 500, "fallback_to_pool": false, "created_at": "2026-09-10T08:00:00Z", "updated_at": "2026-09-10T08:00:00Z", "validated_at": "2026-09-10T08:00:00Z" }}Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/byok/string" \ -H "Content-Type: application/json" \ -d '{ "fallback_to_pool": true }'{ "key": { "id": "byok_01J8ZK", "provider_id": "anthropic", "label": "prod", "hint": "…9f2a", "status": "active", "fee_bps": 500, "fallback_to_pool": false, "created_at": "2026-09-10T08:00:00Z", "updated_at": "2026-09-10T08:00:00Z", "validated_at": "2026-09-10T08:00:00Z" }}Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Response Body
application/json
curl -X DELETE "https://example.com/v1/byok/string"Empty
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/byok/string/validate"{ "validation": { "ok": true, "models": 14, "status": 200, "provider_id": "anthropic" }, "key": { "id": "byok_01J8ZK", "provider_id": "anthropic", "status": "active", "hint": "…9f2a", "fee_bps": 500, "fallback_to_pool": false, "created_at": "2026-09-10T08:00:00Z", "updated_at": "2026-09-10T09:20:00Z", "validated_at": "2026-09-10T09:20:00Z" }}